//Line3D.h - Headerdatei zu LINE3D.C
//Dipl.-Ing. Andreas Maslo

#define OFFSETIN(struc,field)	  ((USHORT)&(((struc *)0)->field))

//Ressourcenkennungen fr VB-Toolbox-Elemente
#define IDBMP_LINE3D		8000
#define IDBMP_LINE3DDOWN	8001
#define IDBMP_LINE3DMONO	8003
#define IDBMP_LINE3DEGA 	8006

//Kontrollprozedur zum Steuerelement LINE3D
LONG FAR PASCAL _export Line3dCtlProc(HCTL, HWND, USHORT, USHORT, LONG);

// globale Variablen und Konstanten
extern	HANDLE hmodDLL;     // aus ccinit.c

//LINE3D Kontrollstruktur
typedef struct tagLINE3D
{
    RECT    rectDrawInto;
    ENUM    LineStyle;
} LINE3D;

typedef LINE3D FAR * PLINE3D;

#ifndef RC_INVOKED

//Kennungen der Steuerelementeigenschaften
#define IPROP_LINE3D_CTLNAME              0
#define IPROP_LINE3D_INDEX                1
#define IPROP_LINE3D_BACKCOLOR            2
#define IPROP_LINE3D_LEFT                 3
#define IPROP_LINE3D_TOP                  4
#define IPROP_LINE3D_WIDTH                5
#define IPROP_LINE3D_HEIGHT               6
#define IPROP_LINE3D_VISIBLE              7
#define IPROP_LINE3D_PARENT               8
#define IPROP_LINE3D_TAG                  9
#define IPROP_LINE3D_LINESTYLE           10

#ifdef CTL_DATA


//benutzerdefinierte Eigenschaft:
//3D-Linienstil
PROPINFO Property_LineStyle =
{
    "LineStyle",
    DT_ENUM | PF_fGetData|PF_fSetData | PF_fSetMsg | PF_fSaveData,
    OFFSETIN(LINE3D, LineStyle), 0,
    0,
    "0 - kein\0" "1 - horizontal\0" "2 - vertikal\0", 3
};

//Tabelle der Steuerelementeigenschaften
PPROPINFO Line3d_Properties[] =
{
    PPROPINFO_STD_CTLNAME,
    PPROPINFO_STD_INDEX,
    PPROPINFO_STD_BACKCOLOR,
    PPROPINFO_STD_LEFT,
    PPROPINFO_STD_TOP,
    PPROPINFO_STD_WIDTH,
    PPROPINFO_STD_HEIGHT,
    PPROPINFO_STD_VISIBLE,
    PPROPINFO_STD_PARENT,
    PPROPINFO_STD_TAG,
    &Property_LineStyle,
    NULL
};
#endif	// CTL_DATA

//Kennungen der Ereignisse
#define IEVENT_LINE3D_CLICK  		  0

#ifdef CTL_DATA

//Tabelle der Steuerelementereignisse
PEVENTINFO Line3d_Events[] =
{
    PEVENTINFO_STD_CLICK,
    NULL
};
#endif	// CTL_DATA

// Steuerelementmodellstruktur
#ifdef CTL_DATA
MODEL modelLine3d =
{
    VB_VERSION,
    0,
    //Zeiger auf Kontrollprozedur
    (PCTLPROC)Line3dCtlProc,
    //Klassenstile
    CS_VREDRAW | CS_HREDRAW,
    //Fensterstil
    WS_CLIPCHILDREN,
    //Gre der Steuerelementstruktur
    sizeof(LINE3D),
    //Bitmap-Kennung (Toolbox)
    IDBMP_LINE3D,
    //Standardkontrollname
    "Line3D",
    //Visual Basic-Klassenname
    "Line3D1",
    NULL,
    //Tabelle Eigenschaften
    Line3d_Properties,
    //Tabelle Ereignisse
    Line3d_Events
};
#endif	// CTL_DATA

#endif	// RC_INVOKED

